<script>
	import { page } from '$app/stores';

	import Navbar from 'flowbite-svelte/Navbar.svelte';
	import NavBrand from 'flowbite-svelte/NavBrand.svelte';
	import NavLi from 'flowbite-svelte/NavLi.svelte';
	import NavUl from 'flowbite-svelte/NavUl.svelte';
	import NavHamburger from 'flowbite-svelte/NavHamburger.svelte';
	import DarkMode from 'flowbite-svelte/DarkMode.svelte';
	import Logo from '$lib/Components/Logo.svelte';
	import { ContactModal } from '$lib/stores';

	function returnPagePath() {
		let path = $page.url.pathname.split('/').filter((str) => str !== '');
		return path.slice(path.indexOf('html'));
	}
	let pagePath = $derived(returnPagePath());
</script>

<Navbar class="sticky top-0 z-50 surface-ios-comp shadow-md py-0 h-fit">
	<NavBrand href="../">
		<Logo size="30" css="mr-3" />
		<span class="self-center whitespace-nowrap text-xl font-medium">
			N<span class="text-base">SU RDS</span>4
		</span>
	</NavBrand>
	<NavHamburger />
	<NavUl
		class="child:p-0 child:child:py-2.5 child:child:text-base child:h-full child:flex child:items-center child:cursor-pointer"
	>
		{#if ['admin', 'student', 'faculty'].includes(pagePath[pagePath.length - 1])}
			<NavLi href="../">Log Out</NavLi>
		{/if}
		<NavLi on:click={() => ($ContactModal = true)}>Contact</NavLi>
		<DarkMode btnClass="" />
	</NavUl>
</Navbar>
